Index: branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/JobShopSchedulingProblem.cs	(revision 6364)
@@ -52,8 +52,9 @@
     private JobShopSchedulingProblem(JobShopSchedulingProblem original, Cloner cloner)
       : base(original, cloner) {
-      this.encodingType = original.encodingType;
       this.Jobs = cloner.Clone(original.Jobs);
-      this.EvaluatorType = cloner.Clone(original.EvaluatorType);
-        AttachEventHandlers();
+      this.Resources = cloner.Clone(original.Resources);
+      this.JobData = cloner.Clone(original.JobData);
+      this.SolutionEvaluator = cloner.Clone(original.SolutionEvaluator);
+      this.DueDates = cloner.Clone(original.DueDates);
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -66,7 +67,4 @@
       get { return (ValueParameter<ItemList<Job>>)Parameters["JobData"]; }
     }
-    public ValueParameter<SchedulingEvaluatorType> EvaluatorTypeParameter {
-      get { return (ValueParameter<SchedulingEvaluatorType>)Parameters["EvaluatorType"]; }
-    }
     public OptionalValueParameter<Schedule> BestKnownSolutionParameter {
       get { return (OptionalValueParameter<Schedule>)Parameters["BestKnownSolution"]; }
@@ -79,5 +77,10 @@
       get { return (ValueParameter<IntValue>)Parameters["Resources"]; }
     }
-
+    public ValueParameter<SchedulingEvaluator> SolutionEvaluatorParameter {
+      get { return (ValueParameter<SchedulingEvaluator>)Parameters["SolutionEvaluator"]; }
+    }
+    public ValueParameter<BoolValue> DueDatesParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["DueDates"]; }
+    } 
     #endregion
 
@@ -87,8 +90,4 @@
       set { JobDataParameter.Value = value; }
     }
-    public SchedulingEvaluatorType EvaluatorType {
-      get { return EvaluatorTypeParameter.Value; }
-      set { EvaluatorTypeParameter.Value = value; }
-    }
     public Schedule BestKnownSolution {
       get { return BestKnownSolutionParameter.Value; }
@@ -103,33 +102,31 @@
       set { ResourcesParameter.Value = value; }
     }
-    #endregion
-
-    [Storable]
-    private SchedulingEncodingTypes encodingType;
+    public SchedulingEvaluator SolutionEvaluator {
+      get { return SolutionEvaluatorParameter.Value; }
+      set { SolutionEvaluatorParameter.Value = value; }
+    }
+    public BoolValue DueDates {
+      get { return DueDatesParameter.Value; }
+      set { DueDatesParameter.Value = value; }
+    }
+    #endregion
+
 
     public JobShopSchedulingProblem()
       : base(new SchedulingEvaluationAlgorithm (), new JSMRandomCreator ()) {
       Parameters.Add(new ValueParameter<ItemList<Job>>("JobData", "Jobdata defining the precedence relationships and the duration of the tasks in this JSSP-Instance.", new ItemList<Job>()));
-      Parameters.Add(new ValueParameter<SchedulingEvaluatorType>("EvaluatorType", "Type of the evaluator used to determine the quality of an individual.", new SchedulingEvaluatorType(SchedulingEvaluatorTypes.MakespanEvaluator)));
       Parameters.Add(new OptionalValueParameter<Schedule>("BestKnownSolution", "The best known solution of this JSSP instance."));
-      
-      Parameters.Add(new ValueParameter<IntValue>("Jobs", "The number of jobs used in this JSSP instance.", new IntValue ()));
+
+      Parameters.Add(new ValueParameter<IntValue>("Jobs", "The number of jobs used in this JSSP instance.", new IntValue()));
       Parameters.Add(new ValueParameter<IntValue>("Resources", "The number of resources used this JSSP instance.", new IntValue()));
-      encodingType = SchedulingEncodingTypes.JSMEncoding;
-        InitializeOperators();
-        AttachEventHandlers();
+      Parameters.Add(new ValueParameter<BoolValue>("DueDates", "Determines whether the problem instance uses due dates or not.", new BoolValue()));
+      Parameters.Add(new ValueParameter<SchedulingEvaluator>("SolutionEvaluator", "The evaluator used to determine the quality of a solution.", new MakespanEvaluator()));
+
+      InitializeOperators();
+      InitializeProblemInstance();
     }
 
     #region Events
-    //TODO: Implement event handlers for problem specific events!
     protected override void OnSolutionCreatorChanged() {
-      if (SolutionCreator.GetType().Equals(typeof(JSMRandomCreator)))
-        encodingType = SchedulingEncodingTypes.JSMEncoding;
-      else {
-        if (SolutionCreator.GetType().Equals(typeof(PRVRandomCreator)))
-          encodingType = SchedulingEncodingTypes.PRVEncoding;
-        else
-          encodingType = SchedulingEncodingTypes.PWREncoding;
-      }
       InitializeOperators();
     }
@@ -137,56 +134,49 @@
 
     #region Helpers
+    private void InitializeProblemInstance () {
+      Jobs = new IntValue (10); 
+      Resources = new IntValue (10); 
+      BestKnownQuality = new DoubleValue (930);
+      JobData = new ItemList<Job>();
+      List<string> data = new List<string>
+      {"0 29 1 78 2  9 3 36 4 49 5 11 6 62 7 56 8 44 9 21",
+       "0 43 2 90 4 75 9 11 3 69 1 28 6 46 5 46 7 72 8 30",
+       "1 91 0 85 3 39 2 74 8 90 5 10 7 12 6 89 9 45 4 33",
+       "1 81 2 95 0 71 4 99 6  9 8 52 7 85 3 98 9 22 5 43",
+       "2 14 0  6 1 22 5 61 3 26 4 69 8 21 7 49 9 72 6 53",
+       "2 84 1  2 5 52 3 95 8 48 9 72 0 47 6 65 4  6 7 25",
+       "1 46 0 37 3 61 2 13 6 32 5 21 9 32 8 89 7 30 4 55",
+       "2 31 0 86 1 46 5 74 4 32 6 88 8 19 9 48 7 36 3 79",
+       "0 76 1 69 3 76 5 51 2 85 9 11 6 40 7 89 4 26 8 74",
+       "1 85 0 13 2 61 6  7 8 64 9 76 5 47 3 52 4 90 7 45" };
+
+      int jobCount = 0;
+      foreach (string s in data) {
+        List<string> split = SplitString(s);
+        JobData.Add(CreateJobFromData(split, jobCount++));
+      }
+    }
+
     private void InitializeOperators() {
       Operators.Clear();
       ApplyEncoding();
       Operators.Add(new BestSchedulingSolutionAnalyzer());
-      //ParameterizeAnalyzer();
-      //ParameterizeOperators();
     }
 
     private void ApplyEncoding() {
-      if (EvaluatorType.Value == SchedulingEvaluatorTypes.MakespanEvaluator) {
-        if (encodingType == SchedulingEncodingTypes.JSMEncoding) {
-          Operators.AddRange(ApplicationManager.Manager.GetInstances<IJSMOperator>());
-          ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<JSMEncoding>(new JSMDecoder(), new MakespanEvaluator());
+      if (SolutionCreator.GetType().Equals(typeof(JSMRandomCreator))) {
+        Operators.AddRange(ApplicationManager.Manager.GetInstances<IJSMOperator>());
+        ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<JSMEncoding>(new JSMDecoder());
+      } else {
+        if (SolutionCreator.GetType().Equals(typeof(PRVRandomCreator))) {
+          Operators.AddRange(ApplicationManager.Manager.GetInstances<IPRVOperator>());
+          ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PRVEncoding>(new PRVDecoder());
         } else {
-          if (encodingType == SchedulingEncodingTypes.PRVEncoding) {
-            Operators.AddRange(ApplicationManager.Manager.GetInstances<IPRVOperator>());
-            ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PRVEncoding>(new PRVDecoder(), new MakespanEvaluator());
-          } else {
-            if (encodingType == SchedulingEncodingTypes.PWREncoding) {
-              Operators.AddRange(ApplicationManager.Manager.GetInstances<IPWROperator>());
-              ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PWREncoding>(new PWRDecoder(), new MakespanEvaluator());
-            }
+          if (SolutionCreator.GetType().Equals(typeof(PWRRandomCreator))) {
+            Operators.AddRange(ApplicationManager.Manager.GetInstances<IPWROperator>());
+            ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PWREncoding>(new PWRDecoder());
           }
         }
-      } else {
-        if (encodingType == SchedulingEncodingTypes.JSMEncoding) {
-          Operators.AddRange(ApplicationManager.Manager.GetInstances<IJSMOperator>());
-          ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<JSMEncoding>(new JSMDecoder(), new MeanTardinessEvaluator());
-        } else {
-          if (encodingType == SchedulingEncodingTypes.PRVEncoding) {
-            Operators.AddRange(ApplicationManager.Manager.GetInstances<IPRVOperator>());
-            ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PRVEncoding>(new PRVDecoder(), new MeanTardinessEvaluator());
-          } else {
-            if (encodingType == SchedulingEncodingTypes.PWREncoding) {
-              Operators.AddRange(ApplicationManager.Manager.GetInstances<IPWROperator>());
-              ((SchedulingEvaluationAlgorithm)this.EvaluatorParameter.ActualValue).InitializeOperatorGraph<PWREncoding>(new PWRDecoder(), new MeanTardinessEvaluator());
-            }
-          }
-        }
-      }
-    }
-
-    private void AttachEventHandlers() {
-      //TODO: Attach event handlers implemented aabove to appropriate events of the problem.
-    }
-
-    private void ParameterizeOperators() {
-      throw new NotImplementedException();
-    }
-
-    private void ParameterizeAnalyzer() {
-      throw new NotImplementedException();
+      }
     }
     #endregion
@@ -213,4 +203,20 @@
       return arr;
     }
+    private Job CreateJobFromData (List<string> data, int jobCount)   {
+      DoubleValue dueDate = null;
+      int dataCount = data.Count;
+      if (DueDates.Value) {
+        dueDate = new DoubleValue(Double.Parse(data[data.Count - 1]));
+        dataCount--;
+      }
+      Job j = new Job(new IntValue(jobCount), dueDate);
+      for (int i = 0; i < dataCount; i++) {
+        Task t = new Task(i / 2, Int32.Parse(data[i]), jobCount, Double.Parse(data[i + 1]));
+        j.Tasks.Add(t);
+        i++;
+      }//for
+      return j;
+    }
+
     public void ImportFromORLibrary(string fileName) {
       if (!File.Exists(fileName))
@@ -231,24 +237,13 @@
           //data[2] = bestKnownQuality (double)
           //data[3] = dueDates (0|1)
-          bool withDueDates = false;
+          DueDates.Value = false;
           if (data.Count > 2)
             BestKnownQualityParameter.ActualValue = new DoubleValue(Double.Parse (data[2]));
           if (data.Count > 3 && data[3] == "1")
-            withDueDates = true;
+            DueDates.Value = true;
           line = problemFile.ReadLine();
           data = SplitString(line);
           while (!problemFile.EndOfStream && data.Count > 0 && ((int)data[0][0] >= 48 && (int)data[0][0] <= 57)) {
-            DoubleValue dueDate = null;
-            int dataCount = data.Count;
-            if (withDueDates) {
-              dueDate = new DoubleValue(Double.Parse(data[data.Count - 1]));
-              dataCount--;
-            }
-            Job j = new Job(new IntValue(jobCount), dueDate);
-            for (int i = 0; i < dataCount; i++) {
-              Task t = new Task(i / 2, Int32.Parse(data[i]), jobCount, Double.Parse(data[i + 1]));
-              j.Tasks.Add(t);
-              i++;
-            }//for
+            Job j = CreateJobFromData(data, jobCount);
             this.JobData.Add(j);
             jobCount++;
Index: branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Plugin.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Plugin.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/Plugin.cs	(revision 6364)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Problems.Scheduling {
-  [Plugin("HeuristicLab.Problems.Scheduling", "3.3.3.6266")]
+  [Plugin("HeuristicLab.Problems.Scheduling", "3.3.3.6293")]
   [PluginFile("HeuristicLab.Problems.Scheduling-3.3.dll", PluginFileType.Assembly)]
   public class HeuristicLabProblemsSchedulingPlugin : PluginBase {
Index: branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs
===================================================================
--- branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Problems.Scheduling/3.3/SchedulingProblem.cs	(revision 6364)
@@ -33,5 +33,5 @@
   [Item("Scheduling Problem", "Abstract class that represents a Scheduling Problem")]
   [StorableClass]
-  public abstract class SchedulingProblem : SingleObjectiveHeuristicOptimizationProblem<ISchedulingEvaluator, ISchedulingCreator> {
+  public abstract class SchedulingProblem : SingleObjectiveHeuristicOptimizationProblem<ISchedulingEvaluationAlgorithm, ISchedulingCreator> {
     [StorableConstructor]
     protected SchedulingProblem(bool deserializing) : base(deserializing) { }
@@ -40,5 +40,5 @@
     }
 
-    protected SchedulingProblem (ISchedulingEvaluator se, ISchedulingCreator sc) : base (se, sc) {}
+    protected SchedulingProblem (ISchedulingEvaluationAlgorithm se, ISchedulingCreator sc) : base (se, sc) {}
 
   }
Index: branches/Scheduling/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj
===================================================================
--- branches/Scheduling/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 6297)
+++ branches/Scheduling/HeuristicLab.Problems.TravelingSalesman.Views/3.3/HeuristicLab.Problems.TravelingSalesman.Views-3.3.csproj	(revision 6364)
@@ -96,4 +96,8 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Problems.Scheduling-3.3">
+      <HintPath>..\..\HeuristicLab.Problems.Scheduling\3.3\bin\Debug\HeuristicLab.Problems.Scheduling-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Visualization.ChartControlsExtensions-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -102,4 +106,5 @@
     <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Windows.Forms.DataVisualization" />
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -190,4 +195,8 @@
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Scheduling.Views\3.3\HeuristicLab.Problems.Scheduling.Views-3.3.csproj">
+      <Project>{78763A4E-E163-48C2-98EB-709760D06F25}</Project>
+      <Name>HeuristicLab.Problems.Scheduling.Views-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.TravelingSalesman\3.3\HeuristicLab.Problems.TravelingSalesman-3.3.csproj">
@@ -212,4 +221,9 @@
       <Install>true</Install>
     </BootstrapperPackage>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="PathTSPTourView.resx">
+      <DependentUpon>PathTSPTourView.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/Scheduling/HeuristicLab/3.3/Tests/HeuristicLab-3.3.Tests.csproj
===================================================================
--- branches/Scheduling/HeuristicLab/3.3/Tests/HeuristicLab-3.3.Tests.csproj	(revision 6297)
+++ branches/Scheduling/HeuristicLab/3.3/Tests/HeuristicLab-3.3.Tests.csproj	(revision 6364)
@@ -252,4 +252,12 @@
       <Name>HeuristicLab.Encodings.RealVectorEncoding-3.3</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.SchedulingEncoding.Views\3.3\HeuristicLab.Encodings.SchedulingEncoding.Views-3.3.csproj">
+      <Project>{0C378762-D5DB-488A-8931-2BA42B1B7CBF}</Project>
+      <Name>HeuristicLab.Encodings.SchedulingEncoding.Views-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\..\HeuristicLab.Encodings.SchedulingEncoding\3.3\HeuristicLab.Encodings.SchedulingEncoding-3.3.csproj">
+      <Project>{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}</Project>
+      <Name>HeuristicLab.Encodings.SchedulingEncoding-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\..\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views\3.3\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.csproj">
       <Project>{6F42C5F8-16CD-43EE-8208-FD4573A69D85}</Project>
